import { type IType, PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class ScsStudentparent {
  [PrimaryKeyProp]?: 'Id';
  Id!: IType<number, bigint>;
  ParentId!: IType<number, bigint>;
  StudentId!: IType<number, bigint>;
  Default!: unknown;
  Revision!: number;
  CreatedBy?: IType<number, bigint>;
  CreatedTime!: Date;
  UpdatedBy?: IType<number, bigint>;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const ScsStudentparentSchema = defineEntity({
  class: ScsStudentparent,
  properties: {
    Id: p.bigint().primary().name('Id').columnType('bigint').unsigned(false).autoincrement(false).comment('主键Id'),
    ParentId: p.bigint().name('ParentId').columnType('bigint').comment('家长id'),
    StudentId: p.bigint().name('StudentId').columnType('bigint').comment('学生id'),
    Default: p.array().name('Default').comment('默认'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').columnType('bigint').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').columnType('bigint').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
